[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "greenplm"
version = "1"
description = "Towards GPT-4 like large language and visual assistant."
readme = "README.md"
requires-python = ">=3.8"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: Apache Software License",
]
dependencies = [
    "torch==2.0.1", "torchvision==0.15.2",
    "transformers==4.41.2", "tokenizers== 0.19.1", "sentencepiece==0.1.99", "shortuuid==1.0.13",
    "accelerate==0.27.2", "peft==0.11.1", "bitsandbytes==0.43.1",
    "pydantic==2.11.4", "markdown2[all]", "numpy==1.26.4", "scikit-learn==1.2.2",
    "gradio==5.29.1", "gradio_client==1.10.1",
    "requests==2.32.3", "httpx==0.28.1", "uvicorn==0.34.2", "fastapi==0.115.12",
    "einops==0.6.1", "einops-exts==0.0.4", "timm==0.9.7",
    "open-clip-torch==2.20.0", "open3d==0.17.0", "easydict==1.13", "h5py==3.13.0","openai==0.28.1",
    "nltk==3.8.1", "rouge", "sentence_transformers","dashscope"
]

[project.optional-dependencies]
train = ["deepspeed==0.12.6", "ninja", "wandb"]
build = ["build", "twine"]

[project.urls]
"Homepage" = "https://llava-vl.github.io"
"Bug Tracker" = "https://github.com/haotian-liu/LLaVA/issues"

[tool.setuptools.packages.find]
exclude = ["assets*", "benchmark*", "docs", "dist*", "playground*", "scripts*", "tests*"]

[tool.wheel]
exclude = ["assets*", "benchmark*", "docs", "dist*", "playground*", "scripts*", "tests*"]
